summaryrefslogtreecommitdiffstats
path: root/libraries/activemq-cpp
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-04-08 18:19:58 -0400
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-09 15:45:12 +0700
commit2429424496836e2f04a27a3bc6cc63a26161e660 (patch)
treec5332fd05a93fcabb7efc9ae24c00e20fcd1e891 /libraries/activemq-cpp
parent5f30c2c5c73b373548005e99ae7c01b734a6a3ed (diff)
downloadslackbuilds-2429424496836e2f04a27a3bc6cc63a26161e660.tar.gz
slackbuilds-2429424496836e2f04a27a3bc6cc63a26161e660.tar.xz
libraries/activemq-cpp: Fix docs, rm static lib.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/activemq-cpp')
-rw-r--r--libraries/activemq-cpp/README2
-rw-r--r--libraries/activemq-cpp/activemq-cpp.SlackBuild22
2 files changed, 12 insertions, 12 deletions
diff --git a/libraries/activemq-cpp/README b/libraries/activemq-cpp/README
index 4c80fa4349..28335130eb 100644
--- a/libraries/activemq-cpp/README
+++ b/libraries/activemq-cpp/README
@@ -1,4 +1,2 @@
ActiveMQ CPP is a messaging library that can use multiple protocols to
talk to a MOM (e.g. ActiveMQ).
-
-
diff --git a/libraries/activemq-cpp/activemq-cpp.SlackBuild b/libraries/activemq-cpp/activemq-cpp.SlackBuild
index f423c8e103..6b59fccaef 100644
--- a/libraries/activemq-cpp/activemq-cpp.SlackBuild
+++ b/libraries/activemq-cpp/activemq-cpp.SlackBuild
@@ -22,11 +22,15 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220408 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - fix doc permissions.
+# - get rid of static library.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=activemq-cpp
VERSION=${VERSION:-3.9.5}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -38,9 +42,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -75,9 +76,9 @@ cd $PRGNAM-library-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -88,16 +89,17 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
--build=$ARCH-slackware-linux
make
-make install DESTDIR=$PKG
+make install-strip DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+#find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ #| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+install -m0644 *.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
rm -f $PKG/usr/lib*/*.la